#include <cstdio>
#include <cmath>
using namespace std;
int main()
{
    int n;
    while(scanf("%d",&n),n)
    {
        int a=0,b=0,c=0;
        double tmp;
        for(int i=0;i<n;i++){
            scanf("%lf",&tmp);
            a+=tmp<0;
            b+=abs(tmp)<1e-6;
            c+=tmp>0;
        }
        printf("%d %d %d\n",a,b,c);
    }
    return 0;
}
